/*
CSC 130, Spring 2011
Weeek 3 #2

Create a Processing program that draws a box, and when you click in the box it
prints a message that shows the number of times the box has been clicked.

*/


// Count of rect clicks
int count = 0;

// Rectangle dimensions
int rectX, rectY, rectWidth, rectHeight;

// Initial program setup
void setup() {
    // Set rectangle dimensions to center rectangle on screen
    rectX = width/3;
    rectY = height/3;
    rectWidth = width/3;
    rectHeight = height/3;

    // Set text alignment option so that text is centered in rectangle
    textAlign(CENTER, CENTER);
}

// Function called to draw each frame
void draw() {
    // Redraw background to clear last frame
    background(255);

    // Draw a black rectangle
    fill(0);
    rect(rectX, rectY, rectWidth, rectHeight);
    
    // Draw white text centered in the rectangle
    fill(255);
    text(count, rectX + rectWidth/2, rectY + rectHeight/2);
}

// Function called each time mouse is clicked
void mouseClicked() {
    // Determine if x coord is in correct range
    boolean inX = mouseX >= rectX && mouseX <= rectX + rectWidth;
    // Determine if y coord is in correct range
    boolean inY = mouseY >= rectY && mouseY <= rectY + rectHeight;
    // If both are in correct range, rectangle was clicked
    if (inX && inY) {
        count = count + 1;
    }
    // Print total clicks
    println("Box clicks: " + count);
}
