/*
CSC 130, Spring 2011
Weeek 5 part 2 #1

Write a Processing program that repeatedly draws random lines across the screen.
Change the color and width randomly each time a new line is drawn.

Optional: Every time you hit a key, change the way that the random line is
chosen. Examples: all lines are horizontal, but at random heights; all lines
pass through the current mouse location (but go in random directions); all lines
lie within a given circle or square

Version 1: simple version
*/

void setup() {
    size(500, 500);
}

void draw() {
    // Choose random color
    float r = random(256);
    float g = random(256);
    float b = random(256);
    stroke(r, g, b);

    // Choose random line width
    float weight = random(50);
    strokeWeight(weight);
    
    // Choose random line height
    float y = random(height);

    // Draw line
    line(0, y, width, y);
}
